Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

## Class MergeRunnableImpl

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.AbstractMergeRunnable
  - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.MergeRunnableImpl

All Implemented Interfaces:
  `IMergeRunnable`

    public final class MergeRunnableImpl
    extends AbstractMergeRunnable
    implements IMergeRunnable

Restriction:
Restriction:

### Constructor Summary

Constructors
`MergeRunnableImpl​(boolean isLeftEditable, boolean isRightEditable, MergeMode mergeMode, IDiffRelationshipComputer diffRelationshipComputer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `merge​(List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry)` Execute the merge operation.

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.AbstractMergeRunnable

`getDiffRelationshipComputer, getMergeMode, isLeftEditable, isRightEditable, markAllAsMerged, markAsMerged, mergeAll`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeRunnableImpl

    public MergeRunnableImpl​(boolean isLeftEditable,
                             boolean isRightEditable,
                             MergeMode mergeMode,
                             IDiffRelationshipComputer diffRelationshipComputer)

### Method Detail

#### merge

    public void merge​(List<? extends Diff> differences,
                      boolean leftToRight,
                      IMerger.Registry mergerRegistry)

Description copied from interface: `IMergeRunnable`
Execute the merge operation.

Specified by:
  `merge` in interface `IMergeRunnable`
Parameters:
  `differences` - the differences to merge.
  `leftToRight` - whether the differences have to be merge from left to right or right to left.
  `mergerRegistry` - the merger registry to query to get the appropriate mergers for each difference to be merged.